Last modified: 2011-01-25 01:29:19 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 17452 - Complete migration of all application servers from Fedora to Ubuntu
Complete migration of all application servers from Fedora to Ubuntu
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Rob Halsell
: shell
Depends on: 20787
Blocks: 4098 9204 18046
  Show dependency treegraph
 
Reported: 2009-02-11 21:19 UTC by Brion Vibber
Modified: 2011-01-25 01:29 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Brion Vibber 2009-02-11 21:19:56 UTC
Once External Storage migration has been resolved, we'll want to complete the transition of all application servers from Fedora to our consistent Ubuntu configuration.

Note that resolution of bug 9204 (%2F in URL always returns 404 result) is dependent on some tweak to Apache 2, so requires retiring the remaining Fedora boxes which run Apache 1.
Comment 1 Rob Halsell 2009-03-04 14:49:27 UTC
Folks are still currently working on getting the External Stores moved over to the dedicated hosts.  I am just commenting on this ticket as an update.  As soon as the dedicated ES host is finished with installation, testing, and deployment, this ticket will be escalated.  (No one wants FC out of the DC more than I do.  I want standardization!  ;)
Comment 2 Greg L 2009-03-11 19:58:01 UTC
Just checking to see if I’ve got a handle on how the {{val}} bug works. I did a check just now, and {val} returned four instances of accuracy to only 12 digits out of 54 tries. From this, I deduce that about 8% of the servers are still old and haven’t been updated. Is that approximately correct?
Comment 3 Brion Vibber 2009-03-16 19:20:13 UTC
Newer boxes are faster, thus handle more hits, and will thus be overrepresented in a sample of this sort.
Comment 4 Rob Halsell 2009-05-12 16:56:47 UTC
All currently deployed and pooled/in service apache servers are now Ubuntu.  Still working on getting rid of the rest.
Comment 5 Bryan Baron 2009-10-26 19:06:44 UTC
Rob says that all deployed servers work now under Ubuntu. Can we consider this as fixed?
Comment 6 JeLuF 2010-06-14 19:31:04 UTC
browne seems to be our last fedora box
Comment 7 Rob Halsell 2010-07-19 19:55:54 UTC
application servers = apache servers = no more fedora for awhile.  shame on me for not closing this sooner.

yes, browne is still online, but its not an app server (and another host is slated for replacing it already)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links